# Toimeksiantajan ensimmäinen kohtaaminen

![](https://openclipart.org/image/400px/svg_to_png/265087/ASCII-Man-Sign2--Arvin61r58.png)

## Ennen tapaamista!

* Tiimi valitsee joukostaan edustajan, joka toimii aktiivisena linkkinä toimeksiantajan suuntaan
* Tiimi luo oman kotisivun ennen asiakkaan tapaamista. 
* Tiimi valmistelee lyhyen ryhmäesittelyn
* Kotisivustoa käytetään projektin "markkinointiin" eri tilanteissa opintojakson aikana.
* Toimeksiannosta ei kerrota oletuksena laajemmin (toimeksiantaja päättää mitä saa kertoa), mutta sivun avulla voi tiedottaa tiimin haasteesta.

## Tapaamisen sopiminen

* Tiimi sopii ajankohdan ensimmäiselle tapaamiselle, johon osallistuvat toimeksiantajan, tiimi ja ohjaaja (Narsu) 
* Lähettäkää sähköposti, jossa esittäydytte ryhmänä ja mukana on linkki kotisivuun. 
* Ehdottakaa sopivaa ajankohtaa tapaamiselle (Ohjaajan kannalta keskiviikko on paras)
* Ottakaa tarvittaessa myös ennakkoon yhteyttä puhelimitse/TEAMS/ZOOM etc toimeksiantajantajaan ja keskustelkaa toimeksiannosta
* Sopikaa ajankohta, jolloin kaikki pääsevät mukaan (Ohjaajan läsnäolo ei pakollista, mutta erittäin toivottavaa)
* Tavataan toimeksiantaja parhaassa tapauksessa naamatusten tai virtuaalisesti
* Tapaamisessa esittäydytään tiiminä ja Käydään läpi toimeksianto yleisellä tasolla 
* kartoitetaan tiimin mahdolliset kehitystarpeet, eli mitä pitää opiskella ennen työskentelyn käynnistämistä (tuotanto-vaihe) 
* Sovitaan seuraava tapaaminen ja seuraavat askelmerkit

## Virallinen kokouskutsu ja aikataulu

Laatikaa Office 365:en Outlookissa kokouskutsu, jossa kutsutte ensimmäiseen tapaamiseen kaikki tarvittavat henkilöt.

* Saamani kutsun perusteella tiedän, että tapaaminen edistyy!
* Laatikaa lyhyt agenda tapaamiselle, joka ilmenee kutsusta
* Varataan aikaa vähintään 1h + hetki vapaalle keskustelulle
* Narsulle sopivat tapaamiseen keskiviikko aamupäivä /torstaipäivät

## Tuloksia tapaamisesta

* Laatikaa [A4-kokoluokan](http://jamkit.pages.labranet.jamk.fi/project-templates/opf-2021-ttc2070-core-template-v1/20-Requirement-management/short-requirement-specification/) alustava vaatimusmäärittely-dokumentti toimeksiannosta tapaamisen jälkeen!
* Tarvitaanko vaitiolosopimus/NDA? Milloin allekirjoitetaan? Missä? 
* Mitä tunnuksia/palveluja tarvitaan? Mistä saadaan käyttöoikeudet
* Tarvitaanko muita selvityksiä ennen projektin käynnistämistä?
* Riittävä ymmärrys toteutettavasta kokonaisuudesta, jonka pohjalta voidaan laatia A4-kokoa oleva vaatimusmäärittely
* Milloin tavataan seuraavaksi?
* Esittäkää tämä dokumentti toimeksiantajalle ja tarkistakaa onko se toiveen mukainen
* Jos toimeksiantajalla ei ole tarjolla selketä kehitysympäristöä, voi tiimi pysytyttää esim OPF -projektiympäristön. (Ohjeita ohjaajalta)
* Selvittäkää mitä välineitä tarvitaan työn aloittamiseksi!

## Toimeksiantajalle

* Toimeksiantaja esittelee toimeksiannon taustan ja tarpeet
* Toimeksiantaja kiinnittää yhteyshenkilön, johon voidaan ottaa yhteyttä
* Sovitaan virallinen kommunikaatiokanava esim (TEAMS, SLACK, WHATSAPP etc)
* Kerää ennakkoon taustamateriaalia tarvittavista teknologioista
 









